PDA

View Full Version : SDK rubygems - Could not find 'fpm'



msp_whics
16-Jun-2017, 01:43
I am trying to build an rpm using the "fpm" command from rugygems but I am getting :

/usr/lib64/ruby/site_ruby/1.8/rubygems/dependency.rb:315:in `to_specs': Could not find 'fpm' (>= 0) among 3 total gem(s) (Gem::LoadError) Checked in 'GEM_PATH=/root/.gem/ruby/1.8:/usr/lib64/ruby/gems/1.8', execute `gem env` for more information
from /usr/lib64/ruby/site_ruby/1.8/rubygems/dependency.rb:324:in `to_spec'
from /usr/lib64/ruby/site_ruby/1.8/rubygems/core_ext/kernel_gem.rb:64:in `gem'
from /usr/bin/fpm:22


Could anyone advice what could be the issue?

Thanks
Constantin

msp_whics
16-Jun-2017, 01:58
gem env
RubyGems Environment:
- RUBYGEMS VERSION: 2.4.8
- RUBY VERSION: 1.8.7 (2011-12-28 patchlevel 357) [x86_64-linux]
- INSTALLATION DIRECTORY: /usr/lib64/ruby/gems/1.8
- RUBY EXECUTABLE: /usr/bin/ruby
- EXECUTABLE DIRECTORY: /usr/bin
- SPEC CACHE DIRECTORY: /root/.gem/specs
- SYSTEM CONFIGURATION DIRECTORY: /etc
- RUBYGEMS PLATFORMS:
- ruby
- x86_64-linux
- GEM PATHS:
- /usr/lib64/ruby/gems/1.8
- /usr/bin
- GEM CONFIGURATION:
- :update_sources => true
- :verbose => true
- :backtrace => false
- :bulk_threshold => 1000
- REMOTE SOURCES:
- https://rubygems.org/
- SHELL PATH:
- /sbin
- /usr/sbin
- /usr/local/sbin
- /root/bin
- /usr/local/bin
- /usr/bin
- /bin
- /usr/bin/X11
- /usr/X11R6/bin
- /usr/games
- /usr/lib/mit/bin
- /usr/lib/mit/sbin

msp_whics
16-Jun-2017, 02:11
Also I forgot to mention that it's on a SLES11SP4